freedoom (0.13.0-3) unstable; urgency=medium

  * Change Depends: doom-engine to Recommends (Closes: #1104132)
  * Backport some patches from the upstream GIT repository
    + Pass regular expressions as raw strings in Python scripts
    + Add required meta-data
    + Fix desktop icon install location (Closes: #1104295)
    + dist/freedoom: add dsda-doom and woof to the PORTS
  * Bump Standards-Version to 4.7.2

 -- Fabian Greffrath <fabian@debian.org>  Thu, 14 Aug 2025 11:03:01 +0200

freedoom (0.13.0-2) unstable; urgency=medium

  * Do not override the build system's SHELL anymore.
    Upstream did the same some years ago. In our case, this prevents the
    build from failing when `grep -q` has stopped reading `deutex -h`
    output and the latter receives a `SIGPIPE` signal (Closes: #1082679).
    Thanks sanvila and smcv for the analysis of this strange bug!

 -- Fabian Greffrath <fabian@debian.org>  Tue, 01 Oct 2024 08:11:53 +0200

freedoom (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Remove patches, applied upstream.
  * Update debian/copyright.
  * Update debian/watch file.
  * Bump Standards-Version to 4.6.2.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 02 Feb 2024 21:42:23 +0100

freedoom (0.12.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable)

  [ Fabian Greffrath ]
  * Depend on dsda-doom instead of prboom-plus.
  * Apply upstream patch to fix building with python3-pil (>= 10),
    Closes: #1042113.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 01 Aug 2023 11:08:27 +0200

freedoom (0.12.1-2) unstable; urgency=medium

  * Remove myself from Uploaders.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 11 May 2020 10:19:40 +0100

freedoom (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * Adapt packaging to build system changes.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 Nov 2019 16:43:35 +0100

freedoom (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Update Vcs-* fields to point to the salsa repository.
  * Switch from python and imagemagick to python3 and python3-pil
    (Closes: #936554).
  * Switch from asciidoc to asciidoctor and add ruby-asciidoctor-pdf
    for the manual.
  * Build with SHELL="bash" for the "command" command.
  * Drop package relations that are satisfied since at least oldoldstable.
  * Remove debian/clean, package cleans up itself now.
  * Freedoom Phase 1 and 2 have turned from Boom compatible to Vanilla Doom
    compatible, so provide doom-wad and require a doom-engine.
  * Drop legacy symlinks to the old IWAD file names.
  * Account for using reverse-DNS for the project identifier in the desktop
    and metainfo files.
  * Rules-Requires-Root: no.
  * Fix insecure debian/copyright format URL.
  * Include pkg-info.mk instead of parsing debian/changelog in debian/rules.
  * Install the manual in PDF format.
  * Run "wrap-and-sort -asb".
  * Fix privacy-breach-generic lintian warnings in the HTML documentation.
  * Add /usr/share/doc to debian/not-installed, we install the documentation
    manually.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 12 Oct 2019 17:33:49 +0200

freedoom (0.11.3-1) unstable; urgency=medium

  * New upstream point release to support building with
    deutex >= 5.0.0 beta2. No other changes from 0.11.2.
  * Update the spelling of my name in debian/control.

 -- Jonathan Dowland <jmtd@debian.org>  Tue, 25 Jul 2017 22:44:54 +0100

freedoom (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2

 -- Fabian Greffrath <fabian@debian.org>  Sun, 18 Jun 2017 21:27:23 +0200

freedoom (0.11.1-1) experimental; urgency=medium

  * New upstream version 0.11.1 (Closes: #855921).
    + Fixes trigger not working properly on C2M9 (Closes: #827117).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 08 Mar 2017 22:06:43 +0100

freedoom (0.10.1-2) unstable; urgency=medium

  * Switch to Build-Depends: asciidoc-base from asciidoc.
  * Remove patch, asciidoc-base depends on libxml2-utils anyway.
  * Add Build-Depends: docbook-xml.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields to use secure URIs.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 06 Jan 2017 11:10:12 +0100

freedoom (0.10.1-1) unstable; urgency=medium

  * Imported Upstream version 0.10.1

 -- Fabian Greffrath <fabian@debian.org>  Sun, 24 Jan 2016 17:59:24 +0100

freedoom (0.10-1) unstable; urgency=medium

  * Imported Upstream version 0.10:
    + Brand new status bar.
    + New sprites for the serpent and orb monster.
    + New HUD graphics for the single- and double-barrel shotguns,
      missile launcher, and SKAG.
    + New pain sounds for many monsters and the player.
    + New maps in Phase 1 and Phase 2.

  * Update my e-mail address and Debian packaging copyright years
    in debian/control and debian/copyright.
  * Refresh patch.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 16 Dec 2015 21:37:11 +0100

freedoom (0.9-1) unstable; urgency=medium

  * Imported Upstream version 0.9:
    + New file names no longer conflict with Doom's.
    + FreeDM and Phase 1 have grown out of the shadows of the project
      and have seen rapid advances.
    + New text font to replace the old one in all menus, in-game text,
      and status-bar HUD.
    + New zombie, shotgun zombie, and assault tripod sprites by a skilled
      pixel artist.
    + New sounds for the dark soldier.
    + More complete support for Final Doom mods, adding many more
      textures missing to support mods for both TNT: Evilution and
      The Plutonia Experiment.

  * Upstream now ships icons, manpages, desktop files, wrapper scripts and
    appdata files. Remove the local copies from the Debian packaging.
  * Build docs, add "Build-Depends: asciidoc, docbook-xsl, xsltproc",
    but run a2x with --no-xmllint to avoid even more Build-Depends.
  * Bump "Build-Depends: python (>= 2.4)" to "2.7".
  * Install IWAD files into /usr/share/games/doom.
  * Add compatibility symlinks for the old IWAD file names.
  * Fix upstream GIT repository location in debian/watch.
  * FreeDM is strictly Doom-compatible, so add "Provides: doom-wad"
    and "Depends: ... | doom-engine", thanks Mike Swanson (Closes: #762126).
  * Improve package descriptions based on the appdata files.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 22 Oct 2014 14:45:57 +0200

freedoom (0.8-1) unstable; urgency=low

  [ Jon Dowland ]
  * convert debian/copyright to DEP-5 format.
  * remove deprecated dm-upload-allowed from control file.

  [ Fabian Greffrath ]
  * New upstream release.
  * Fix desktop-entry-lacks-keywords-entry.
  * Fix vcs-field-not-canonical.
  * Prefer prboom-plus over other alternatives providing boom-engine.
  * Add Multi-Arch: foreign fields.
  * Display the Debian package version number in the TITLEPIC caption.
  * Export the Debian package version number in debian/rules to correctly
    fill the freedoom.lmp and freedm.lmp lumps.
  * The project has moved from sourceforge to github: change the Homepage
    field, and the debian/copyright and debian/watch files accordingly.
  * Adapt to renamed upstream documentation files.
  * Remove some more Python byte-code in the clean rule.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 06 Jan 2014 10:19:11 +0100

freedoom (0.8~beta1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Imported Upstream version 0.8~beta1. Closes: #691399.
  * Do not install empty usr/share/games/{doom,freedoom} directories.
  * Mangle the upstream version in debian/watch,
    they use minus instead of tilde to indicate beta versions.
  * Convert to "3.0 (quilt)" source format.
  * Convert debian/rules to dh7 style, bump debhelper compat to 9,
    simplify things a bit.
  * Change versioned Conflicts to Breaks.
  * Run "wrap-and-sort -asb".
  * Compress binary packages with xz.

  [ Jon Dowland ]
  * Initial parallel build support (much more work needed)
  * Bump standards version. Changes:
    * fold Build-Depends-Indep into Build-Depends (not needed for
      Architecture: all)

 -- Jon Dowland <jmtd@debian.org>  Fri, 26 Oct 2012 08:08:25 +0100

freedoom (0.7-1) unstable; urgency=low

  * New upstream version.

 -- Jon Dowland <jmtd@debian.org>  Mon, 24 Jan 2011 22:19:58 +0000

freedoom (0.6.4-5) unstable; urgency=low

  * update VCS fields to reflect move to Git.
  * Remove Moritz Muehlenhoff from uploaders, by request.
    Thanks Moritz for your work!
  * adjust an Imagemagick/composite argument so that
    graphicsmagick works for builds (see #413954)
  * bump standards version
  * add misc:Depends for freedm (quiet, lintian!)

 -- Jon Dowland <jmtd@debian.org>  Fri, 03 Sep 2010 15:49:20 +0100

freedoom (0.6.4-4) unstable; urgency=low

  * Stop providing doom2.wad alternative: we are not
    vanilla compatible. Remove older alternatives in
    postinst for upgrades.
  * Adjust PATH in debian/rules to avoid needing to
    patch Makefile: thus, remove quilt dependency and
    patching boilerplate
  * bump Debhelper and compat to 7
  * changes for debhelper 7
  * install "freedm" and "freedoom" invoke-scripts into
    /usr/games and corresponding manpages. Reference
    the scripts in the .desktop files.
  * Remove lintian overrides. These were for calling
    "boom" in the desktop files but not installing it
    (fixed with invoke-scripts); creating a directory
    with no files in it (which we installed alternatives
    into).

 -- Jon Dowland <jmtd@debian.org>  Sat, 11 Jul 2009 12:31:40 +0100

freedoom (0.6.4-3) unstable; urgency=low

  * Bump debhelper dependency to match compat level
  * .desktop files reference "boom" not "doom"
  * conflicts prboom that provides: boom-engine but does not
    provide a /usr/games/boom alternative
  * Update homepage

 -- Jon Dowland <jmtd@debian.org>  Thu, 02 Jul 2009 18:29:42 +0100

freedoom (0.6.4-2) experimental; urgency=low

  * use python-minimal instead of python.
  * require boom-engine instead of doom-engine.

 -- Jon Dowland <jon@alcopop.org>  Wed, 17 Jun 2009 22:05:07 +0100

freedoom (0.6.4-1) unstable; urgency=low

  * Add Build-Depends-Indep: on python. Thanks Daniel Schepler
    and Peter Green. Closes: #521922
  * new upstream version, removing some non-free files.
    Closes: #533135
  * fixed watch file, thanks Marco Rodrigues. Closes: #531619
  * bump standards version.

 -- Jon Dowland <jon@alcopop.org>  Sun, 14 Jun 2009 18:05:07 +0100

freedoom (0.6.3-3) unstable; urgency=low

  * upload to unstable.

 -- Jon Dowland <jon@alcopop.org>  Sun, 15 Mar 2009 19:07:48 +0000

freedoom (0.6.3-2) experimental; urgency=low

  * fix watch file. Closes: #453552.

 -- Jon Dowland <jon@alcopop.org>  Sun, 18 Jan 2009 17:42:27 +0000

freedoom (0.6.3-1) experimental; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Add Homepage field

  [ Jon Dowland ]
  * new upstream version
  * remove version.patch: unnecessary with 0.6.3
  * update standards version

 -- Jon Dowland <jon@alcopop.org>  Fri, 02 Jan 2009 01:00:29 +0000

freedoom (0.6.2-1) unstable; urgency=low

  [ Jon Dowland ]
  * implement a new binary-package "freedm"

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Jon Dowland ]
  * move to quilt for patch management

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*

  [ Jon Dowland ]
  * new upstream version (three, actually!).
  * Add a lintian override for empty-dir /usr/share/games/doom: we
    install an alternative into the directory.
  * bump standards version
  * Add .desktop files for the games (which use /usr/games/doom) and Depends:
    on doom-engine (packages which should provide an alternative for that
    binary)
  * Add icons generated at build-time
  * adjust alternatives priority to be in-line with the doom packaging
    guidelines

 -- Jon Dowland <jon@alcopop.org>  Thu, 20 Mar 2008 22:30:32 +0000

freedoom (0.5-1) unstable; urgency=low

  [ Jon Dowland ]
  * new upstream version
  * build system reworked to call upstream Makefile
  * Build-Depends needs gsfonts, imagemagick, deutex
  * add myself to uploaders
  * add VERSION file, missing upstream
  * explicitly specify /usr/games/deutex in Makefile
  * bump standards version

 -- Jon Dowland <jon@alcopop.org>  Thu,  7 Sep 2006 12:55:18 +0100

freedoom (0.4.1-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * watch file

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 22 Mar 2006 22:24:30 +0100

freedoom (0.4-1) unstable; urgency=low

  * New upstream release (Closes: #348152)
  * Changed dependency on prboom | doom-engine into a recommendation to
    prevent circular dependencies with prboom

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon,  2 Jan 2006 13:30:42 +0100

freedoom (0.3-2) unstable; urgency=low

  * Add alternative to allow freedoom's WAD file to co-exist with the
    WAD file packages generated by the upcoming doom-data installer.
    (Closes: #327500)
  * Bumped Standards-Version (no changed needed).

 -- Moritz Muehlenhoff <jmm@inutil.org>  Tue, 13 Sep 2005 15:46:50 +0200

freedoom (0.3-1) unstable; urgency=low

  * New upstream release

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sun,  2 Jan 2005 16:27:20 +0100

freedoom (0.2-2) unstable; urgency=low

  * Depend on doom-engine, instead of only recommending it.
    (Closes: #270037)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Wed, 22 Sep 2004 23:12:26 +0200

freedoom (0.2-1) unstable; urgency=low

  * Initial Release. (Closes: #206139)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sun, 18 Jul 2004 14:29:43 +0200
